### File

`packages/core/src/lib/services/store/store.service.mock.ts`

### Extends

`StoreService`

### Index

###### Methods

- addAutoSaveHandler
- handleAutoSave
- init
- select
- updateState

### Constructor

`constructor()`

### Methods

addAutoSaveHandler
`addAutoSaveHandler()`
Returns : `void`

handleAutoSave
`handleAutoSave()`
Returns : `void`

init
`init()`
Returns : `void`

select
`select()`
Returns : `Observable<object>`

updateState
`updateState(state: DeepPartial<T>)`

This method is used to update the state of the service with a new state.

Parameters :

Name | Type | Optional
state | `DeepPartial<T>` | No

Returns : `void`

# results matching ""

# No results matching ""